Skip to main content
GET
/
public
/
v1
/
statistical-journals
/
List StatisticalJournal records
curl --request GET \
  --url https://api.dualentry.com/public/v1/statistical-journals/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/statistical-journals/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/statistical-journals/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "number": 123,
      "company_id": 123,
      "period": "2023-12-25",
      "memo": "<string>",
      "total_quantity": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "company_name": "<string>"
    }
  ],
  "count": 123
}
{
  "errors": {},
  "success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
number
integer[] | null
company_id
integer[] | null
account_id
integer[] | null
period_start
string<date> | null
period_end
string<date> | null
updated_after
string<date-time> | null
updated_before
string<date-time> | null
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicStatisticalJournalListSchemaOut · object[]
required
count
integer
required
Last modified on July 8, 2026